import { createApp } from 'vue'
import './style.css'
import App from './App.vue'

// 导入Element Plus
import ElementPlus from 'element-plus'
import 'element-plus/dist/index.css'
import * as ElementPlusIconsVue from '@element-plus/icons-vue'

// 导入路由
import router from './router'

// 导入状态管理
import pinia from './stores'

// 导入应用store进行初始化
import { useAppStore } from './stores/modules/app'

const app = createApp(App)

// 安装插件
app.use(router)
app.use(pinia)
app.use(ElementPlus)

// 注册Element Plus图标
for (const [key, component] of Object.entries(ElementPlusIconsVue)) {
  app.component(key, component)
}

// 挂载应用
app.mount('#app')

// 初始化应用
const appStore = useAppStore()
appStore.initApp()
